/*
 * Copyright 2008 Arthur Renato Mello <arthur@mandriva.com>
 * Copyright 2008 Gustavo Pichorim Boiko <boiko@mandriva.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

#ifndef ANIMATEDITEM_H
#define ANIMATEDITEM_H

#include <QWidget>
#include <QTimeLine>

class AnimatedItem : public QWidget
{
	Q_OBJECT
	public:
		AnimatedItem(const QPoint &p_pos, const QPixmap &p_pixmap, QWidget *parent = 0);
		~AnimatedItem();

		void startAnimation();

	protected:
		void paintEvent(QPaintEvent *e);

	private slots:
		void slotAnimate(qreal step);

	private:
		QTimeLine m_timeLine;
		QPixmap m_pixmap;
		float m_alpha;
};

#endif
