/*
 * Copyright 2008 Arthur Renato Mello <arthur@mandriva.com>
 * Copyright 2008 Gustavo Pichorim Boiko <boiko@mandriva.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

#ifndef ANIMATEDSTATUS_H
#define ANIMATEDSTATUS_H

#include <QWidget>
#include <QTimeLine>

class AnimatedStatus : public QWidget
{
	Q_OBJECT
public:
	AnimatedStatus(QPoint pos, QSize size, QFont font, QColor color, QWidget *parent = 0);
	~AnimatedStatus();

	void setText(const QString &text);

protected slots:
	void slotAnimate(qreal alpha);

protected:
	void paintEvent(QPaintEvent *event);
	
private:
	QTimeLine m_timeLine;
	QFont m_font;
	QColor m_color;
	QString m_oldText;
	QString m_text;
	qreal m_alpha;
};

#endif
