/*
 * Copyright 2008 Arthur Renato Mello <arthur@mandriva.com>
 * Copyright 2008 Gustavo Pichorim Boiko <boiko@mandriva.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

#ifndef IMAGELOADER_H
#define IMAGELOADER_H

typedef struct
{
	QPixmap pixmap;
	QPoint pos;
} loadedPixmap;

class ImageLoader
{
	public:
		ImageLoader();
		~ImageLoader();

		QSize getSVGSize(const QString &p_file);

		void setBaseSize(const QSize &s);
		void setTargetSize(const QSize &s);
		void setCachePrefix(const QString &cachePrefix);

		QPixmap loadBackground(const QString &p_background);

		loadedPixmap loadItem(const QString &p_item,
			QPoint p_pos = QPoint(0,0),
			const bool &p_useIconSet = false);

		QRect loadStatusRect(const QString &p_status);

	private:
		loadedPixmap loadPixmap(const QString &p_filename,
			const QSize &p_size = QSize(), const QPoint &p_pos = QPoint(0,0));

		QSize m_baseSize;
		QSize m_targetSize;
		QString m_cachePath;
};
#endif
